<?php
namespace SabaiApps\Directories\Component\Membership\NotificationEvent;

use SabaiApps\Directories\Component\Payment\NotificationEvent\SubscriptionExpiredNotificationEvent as SubscriptionExpiredNotificationEventBase;

class SubscriptionExpiredNotificationEvent extends SubscriptionExpiredNotificationEventBase {

	protected function _notificationEntityEventInfo() {
		$info            = parent::_notificationEntityEventInfo();
		$info['label']   = _x( 'Membership subscription expired', 'notification event', 'directories-pro' );
		$info['weight'] += 10;
		return $info;
	}

	protected function _getDefaultNotificationBody() {
		return array(
			__( 'Your membership subscription has been expired.', 'directories-pro' ),
			__( 'You can renew your membership from the dashboard page on our site.', 'directories-pro' ) . PHP_EOL . '%dashboard_url%',
		);
	}

	protected function _getDefaultNotificationRecipients() {
		return array(
			'event' => array( 'user' ),
		);
	}
}
